import 'package:flutter/material.dart';

class BoundingDevice extends StatelessWidget {
  const BoundingDevice({
    super.key,
    this.connect,
  });
  final Function? connect;

  @override
  Widget build(BuildContext context) {
    return _buildContent(context);
  }

  Widget _buildContent(BuildContext context) {
    return Row(
      children: [
        Text(
          '设备配对中',
          style: TextStyle(color: Theme.of(context).primaryColor, fontSize: 24),
        ),
        const SizedBox(
          width: 16,
        ),
        const SizedBox(
          // width: 150,
          height: 20,
          width: 20,
          child: CircularProgressIndicator(
            valueColor: AlwaysStoppedAnimation(
              Colors.blue,
            ),
          ),
        ),
        const SizedBox(
          width: 16,
        ),
      ],
    );
  }
}
